onEvent("recipes", (event) => {
 // device_water_gen 蓄水器
event.shapeless('thermal:device_water_gen', ['farmersdelight:tatami','farmersdelight:tatami','refinedpipes:improved_fluid_pipe'])

// 'thermal:rf_coil'
let ri = 'extendedcrafting:redstone_ingot'
let se = 'thermal:cured_rubber'


event.remove({ output:'thermal:rf_coil' }) 
event.shaped('thermal:rf_coil', [
    "  B",
    " C ",
    "B  "
  ], {
    B: ri,
    C: se
  })

event.remove({ output:'thermal:machine_frame' })
event.shapeless('thermal:machine_frame', 'industrialforegoing:machine_frame_simple')
event.shapeless('industrialforegoing:machine_frame_simple', 'thermal:machine_frame')


event.remove({output: 'thermal:enderium_ingot',input: 'minecraft:fire_charge'})
event.remove({output: 'thermal:enderium_dust',type: 'minecraft:crafting_shapeless'})



event.recipes.thermal.smelter('extendedcrafting:redstone_ingot', ['2x minecraft:iron_ingot', 'minecraft:redstone'])
event.recipes.thermal.smelter('2x thermal:electrum_ingot',[ '#forge:ingots/gold','#forge:ingots/silver'])
event.recipes.thermal.smelter('2x thermal:invar_ingot',[ '2x #forge:ingots/iron','2x #forge:ingots/nickel'])
event.recipes.thermal.smelter('2x thermal:constantan_ingot',[ '2x #forge:ingots/copper','2x #forge:ingots/nickel'])

event.remove({output: 'extendedcrafting:ender_ingot',input: 'minecraft:ender_pearl'})
event.recipes.thermal.smelter('2x extendedcrafting:ender_ingot',[ '2x #forge:ingots/steel','2x minecraft:ender_eye'])

event.recipes.thermal.smelter('4x refinedstorage:quartz_enriched_iron',[ '3x minecraft:iron_ingot','#forge:gems/quartz'])


});
